Indeed
Indeed: Jobs
Jobs from Indeed. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
indeed
/
jobs
Jobs
curl --request GET \
--url https://api.perceptlayer.com/v1/indeed/jobs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/indeed/jobs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/indeed/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/indeed/jobs';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/indeed/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/indeed/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/indeed/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/indeed/jobs")
.header("X-API-Key", "<api-key>")
.asString();{
"success": true,
"data": {
"jobs": [
{
"id": "61ac648a11df5cc6",
"title": "Product Designer",
"company": {
"name": "Telli",
"profile_url": "/cmp/Telli"
},
"location": {
"city": "Berlin",
"state": "BE",
"country": "DE",
"country_name": "Deutschland",
"formatted": "Berlin",
"latitude": 52.52437,
"longitude": 13.41053,
"is_remote": false
},
"description_html": "<div><h1 class=\"jobSectionHeader\"><b>about us</b></h1><p><br>\nEvery 10 minutes, 18 million conversations happen between businesses and consumers around the world.</p><p><br>\nFor decades, the consumer side of those conversations sucked: long…",
"attributes": [
"Full-time",
"UI design",
"Interaction design"
],
"date_published": "2025-07-21 05:00:00",
"apply_url": "https://jobs.ashbyhq.com/telli/156032e9-0e1d-4f7f-9ac7-c828ba49964d?utm_source=l6jqqRwnQ5"
},
{
"id": "805a70464f904dce",
"title": "Senior Product Manager (Enterprise)",
"company": {
"name": "n8n",
"profile_url": "/cmp/N8n"
},
"location": {
"city": "Berlin",
"state": "BE",
"country": "DE",
"country_name": "Deutschland",
"formatted": "Berlin",
"latitude": 52.52437,
"longitude": 13.41053,
"is_remote": true
},
"description_html": "<div><p><b>The AI orchestration of your wildest imagination.</b></p><p>\nn8n is the open workflow orchestration platform built for the new era of AI. We give technical teams the freedom of code with the speed of no-code, so they can automate…",
"attributes": [
"Collaboration with Sales",
"Go",
"Workflow management (operations management method)"
],
"date_published": "2026-08-12 05:00:00",
"apply_url": "https://jobs.ashbyhq.com/n8n/bcf96878-d41a-479d-b506-7753356077c4?utm_source=3ZqYBLJ41R"
},
{
"id": "376792723f8ff7fe",
"title": "Senior Product Manager",
"company": {
"name": "Pennylane SAS",
"profile_url": "/cmp/Pennylane-SAS"
},
"location": {
"city": "Berlin",
"state": "BE",
"country": "DE",
"country_name": "Deutschland",
"formatted": "Berlin",
"latitude": 52.52437,
"longitude": 13.41053,
"is_remote": true
},
"description_html": "<p></p><div><p>Are you looking to have an impact on the daily life of millions of entrepreneurs in France (and tomorrow in Europe)?</p><p>\nAre you looking for a work environment that values trust, proactivity, and autonomy?</p><p>\nAre our P…",
"attributes": [
"Full-time",
"Process improvement",
"Remote"
],
"date_published": "2026-03-12 05:00:00",
"apply_url": "https://jobs.ashbyhq.com/pennylane/a4555925-195a-4a59-9367-fcaf27f2113d?utm_source=e8ZnqRKNPX"
}
],
"pagination": {
"next_cursor": "ABQAAYEAFAAAAAAAAAAAAAAAAmYRNdcAMgEBAQcpfSGrk7wi9QBuLZ6BEihQwmDA0xA2nDAGrqtuJIdLnPZKyLE0IcnT2+IETfyRAAA=",
"has_more": true
},
"metadata": {
"total_results": 20,
"timestamp": "2026-10-21T13:25:37.233649Z"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Indeed API overview for every Indeed endpoint.
Authorizations
Query Parameters
Maximum string length:
500Maximum string length:
200Maximum string length:
2Available options:
MILES, KILOMETERS Available options:
full_time, part_time, contract, internship, remote Available options:
relevance, date Maximum string length:
2Maximum string length:
2Was this page helpful?
⌘I
Jobs
curl --request GET \
--url https://api.perceptlayer.com/v1/indeed/jobs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/indeed/jobs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/indeed/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/indeed/jobs';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/indeed/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/indeed/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/indeed/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/indeed/jobs")
.header("X-API-Key", "<api-key>")
.asString();{
"success": true,
"data": {
"jobs": [
{
"id": "61ac648a11df5cc6",
"title": "Product Designer",
"company": {
"name": "Telli",
"profile_url": "/cmp/Telli"
},
"location": {
"city": "Berlin",
"state": "BE",
"country": "DE",
"country_name": "Deutschland",
"formatted": "Berlin",
"latitude": 52.52437,
"longitude": 13.41053,
"is_remote": false
},
"description_html": "<div><h1 class=\"jobSectionHeader\"><b>about us</b></h1><p><br>\nEvery 10 minutes, 18 million conversations happen between businesses and consumers around the world.</p><p><br>\nFor decades, the consumer side of those conversations sucked: long…",
"attributes": [
"Full-time",
"UI design",
"Interaction design"
],
"date_published": "2025-07-21 05:00:00",
"apply_url": "https://jobs.ashbyhq.com/telli/156032e9-0e1d-4f7f-9ac7-c828ba49964d?utm_source=l6jqqRwnQ5"
},
{
"id": "805a70464f904dce",
"title": "Senior Product Manager (Enterprise)",
"company": {
"name": "n8n",
"profile_url": "/cmp/N8n"
},
"location": {
"city": "Berlin",
"state": "BE",
"country": "DE",
"country_name": "Deutschland",
"formatted": "Berlin",
"latitude": 52.52437,
"longitude": 13.41053,
"is_remote": true
},
"description_html": "<div><p><b>The AI orchestration of your wildest imagination.</b></p><p>\nn8n is the open workflow orchestration platform built for the new era of AI. We give technical teams the freedom of code with the speed of no-code, so they can automate…",
"attributes": [
"Collaboration with Sales",
"Go",
"Workflow management (operations management method)"
],
"date_published": "2026-08-12 05:00:00",
"apply_url": "https://jobs.ashbyhq.com/n8n/bcf96878-d41a-479d-b506-7753356077c4?utm_source=3ZqYBLJ41R"
},
{
"id": "376792723f8ff7fe",
"title": "Senior Product Manager",
"company": {
"name": "Pennylane SAS",
"profile_url": "/cmp/Pennylane-SAS"
},
"location": {
"city": "Berlin",
"state": "BE",
"country": "DE",
"country_name": "Deutschland",
"formatted": "Berlin",
"latitude": 52.52437,
"longitude": 13.41053,
"is_remote": true
},
"description_html": "<p></p><div><p>Are you looking to have an impact on the daily life of millions of entrepreneurs in France (and tomorrow in Europe)?</p><p>\nAre you looking for a work environment that values trust, proactivity, and autonomy?</p><p>\nAre our P…",
"attributes": [
"Full-time",
"Process improvement",
"Remote"
],
"date_published": "2026-03-12 05:00:00",
"apply_url": "https://jobs.ashbyhq.com/pennylane/a4555925-195a-4a59-9367-fcaf27f2113d?utm_source=e8ZnqRKNPX"
}
],
"pagination": {
"next_cursor": "ABQAAYEAFAAAAAAAAAAAAAAAAmYRNdcAMgEBAQcpfSGrk7wi9QBuLZ6BEihQwmDA0xA2nDAGrqtuJIdLnPZKyLE0IcnT2+IETfyRAAA=",
"has_more": true
},
"metadata": {
"total_results": 20,
"timestamp": "2026-10-21T13:25:37.233649Z"
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}